Bug 150611 - [EFL] Add Shadow DOM feature
Summary: [EFL] Add Shadow DOM feature
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gyuyoung Kim
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-27 16:27 PDT by Gyuyoung Kim
Modified: 2015-10-30 03:52 PDT (History)
4 users (show)

See Also:


Attachments
Patch (5.37 KB, patch)
2015-10-27 16:29 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff
Patch (2.42 KB, patch)
2015-10-28 06:55 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2015-10-27 16:27:38 PDT
When we just enable the shadow dom macro, all shadow dom tests are passed on EFL port. Let's enable it.
Comment 1 Gyuyoung Kim 2015-10-27 16:29:59 PDT
Created attachment 264171 [details]
Patch
Comment 2 Csaba Osztrogonác 2015-10-28 04:03:12 PDT
http://trac.webkit.org/changeset/189841 enabled it on Mac with the
following comment: "The feature is enabled by default on Mac and iOS
ports for testing and disabled by default elsewhere."

https://lists.webkit.org/pipermail/webkit-dev/2015-September/027661.html

So the Shadow DOM implementation isn't complete yet, I'm 
not sure if we should enable this not complete feature now.
Comment 3 Gyuyoung Kim 2015-10-28 06:55:50 PDT
Created attachment 264211 [details]
Patch
Comment 4 Gyuyoung Kim 2015-10-28 06:56:20 PDT
(In reply to comment #2)
> http://trac.webkit.org/changeset/189841 enabled it on Mac with the
> following comment: "The feature is enabled by default on Mac and iOS
> ports for testing and disabled by default elsewhere."
> 
> https://lists.webkit.org/pipermail/webkit-dev/2015-September/027661.html
> 
> So the Shadow DOM implementation isn't complete yet, I'm 
> not sure if we should enable this not complete feature now.

I decided to enable the shadow dom API after reading Rniwa's post.
https://www.webkit.org/blog/4096/introducing-shadow-dom-api/

However it seems I too hurry to enable it for our port. ok, how about just adding a cmake variable at the moment ? Personally I'm interested in this feature.
Comment 5 Gyuyoung Kim 2015-10-30 00:34:01 PDT
Ossy any comment ?
Comment 6 Csaba Osztrogonác 2015-10-30 03:05:08 PDT
(In reply to comment #5)
> Ossy any comment ?

Sorry, I missed it. r=me
Comment 7 WebKit Commit Bot 2015-10-30 03:51:54 PDT
Comment on attachment 264211 [details]
Patch

Clearing flags on attachment: 264211

Committed r191785: <http://trac.webkit.org/changeset/191785>
Comment 8 WebKit Commit Bot 2015-10-30 03:52:00 PDT
All reviewed patches have been landed.  Closing bug.